# $Revision: 1.26 $, $Date: 2008/07/16 18:21:41 $
Summary:	ISDN PRI and BRI channel interface library
Summary(pl.UTF-8):	Biblioteka interfejsu do kanałów PRI/BRI ISDN
Name:		libpri-bristuff
Version:	1.4.3
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://downloads.digium.com/pub/libpri/libpri-%{version}.tar.gz
# Source0-md5:	c5be91fc98f1638ba0365bf87f696cd1
# http://svn.debian.org/wsvn/pkg-voip/libpri/trunk/debian/patches
Patch0:		%{name}-libname.patch
# http://svn.debian.org/wsvn/pkg-voip/libpri/trunk/debian/patches
Patch1:		%{name}-bristuff.patch
URL:		http://www.asterisk.org/
BuildRequires:	zaptel-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ISDN PRI/BRI channel interface library.

%description -l pl.UTF-8
Biblioteka interfejsu do kanałów PRI/BRI ISDN.

%package devel
Summary:	Header files and development documentation for libpri-bristuff
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libpri-bristuff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libpri-bristuff.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libpri-bristuff.

%package static
Summary:	libpri-bristuff static library
Summary(pl.UTF-8):	Statyczna biblioteka libpri-bristuff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libpri-bristuff static library.

%description static -l pl.UTF-8
Statyczna biblioteka libpri-bristuff.

%prep
%setup -q -n libpri-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	LIB_SUF="bristuff" \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
sed -i s,/lib,/%{_lib},g Makefile
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,3},%{_includedir},%{_libdir}}

%{__make} install \
	LIB_SUF="bristuff" \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	LIBDIR=%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libpri-*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpri-*.so
%{_includedir}/bristuff

%files static
%defattr(644,root,root,755)
%{_libdir}/libpri-*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpri-bristuff.spec,v $
Revision 1.26  2008/07/16 18:21:41  arekm
- rel 2; small fixes

Revision 1.25  2008/02/11 08:44:47  arekm
- bristuffed version with separate soname

Revision 1.24  2008-02-09 13:13:07  arekm
- bristuff provides

Revision 1.23  2008-02-09 12:39:38  qboosh
- bcond desc

Revision 1.22  2008-02-09 10:26:16  arekm
- add bristuff bcond

Revision 1.21  2007-12-27 00:23:57  zbyniu
- up to 1.4.3

Revision 1.20  2007-10-30 21:21:51  aredridel
- 1.4.2

Revision 1.19  2007/09/18 08:07:12  arekm
- up to 1.4.1

Revision 1.18  2007/03/18 00:02:45  areq
- 1.4.0

Revision 1.17  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.15  2006/10/23 06:43:31  dzeus
- up to 1.2.4, rm unused Makefile.patch

Revision 1.14  2006/06/05 22:09:45  areq
- 1.2.3

Revision 1.13  2006/01/19 11:24:56  dzeus
- up to 1.2.2

Revision 1.12  2005/12/17 12:51:02  averne
- upadted to 1.2.1
- rel 1

Revision 1.11  2005/12/17 12:38:52  averne
- lib64 hack
- rel 2

Revision 1.10  2005/11/21 14:23:35  pawcioos
- updated to 1.2.0

Revision 1.9  2005/09/14 22:20:55  areq
- 1.0.9

Revision 1.8  2004/12/12 10:07:01  adamg
- updated to 1.0.3

Revision 1.7  2004/11/26 14:51:12  darekr
- updated to 1.0.2

Revision 1.6  2004/11/15 19:02:38  adamg
- hopefully fix build on amd64 (failed on %%install)
- pass CC and CFLAGS
- release 2

Revision 1.5  2004/10/07 10:37:14  qboosh
- simplified prep, gpm-friendly source URL

Revision 1.4  2004/09/24 23:20:32  mguevara
- update to 1.0.0
- url/ftp change

Revision 1.3  2004/08/30 19:05:01  aredridel
- up to 20040830

Revision 1.2  2004/04/10 09:16:06  qboosh
- cleanups, remaining pl

Revision 1.1  2004/04/09 19:59:14  aredridel
- added
